.navbar-navbar{
    background: white;

    & .navbar-items-list ul{
        list-style-type: none;
    }
}

.navbar-items-list {
    background: white;
    
    position: fixed;
    right: -280px;
    top: 75px;

    width: 280px;
    height: 100vh;

    transform: translateX(0%);
    transition: transform 0.3s ease-in-out;

    & ul{
        padding-top: 70px;
        display: flex;
        flex-direction: column;
    }
    
}

.navbar-items-list-active{
    transform: translateX(-100%);
}

.navbar-iner{
    position: fixed;
    top: 0;
    left: 0;

    background: white;

    width: 100vw;
    box-sizing: border-box;

    display: flex;
    justify-content: space-between;
    align-items: center;
    

    height: 75px;
    padding: 0 20px 0 20px;
}

.navbar-mobile-button{
    cursor: pointer;
    background: transparent;
    border: none;
}

.navbar-button-bar{
    display: block;

    width: 25px;
    height: 3px;
    margin: 5px auto;

    transition: all 0.3s ease-in-out;

    background-color: #101010;

    & span:nth-child(1) {
        transform: translate(0%, 0%) rotate(0deg) ;
    }

    & span:nth-child(2) {
        opacity: 1;
    }

    & span:nth-child(3) {
        transform: translate(0%, 0%) rotate(0deg) ;
    }
}

.navbar-mobile-button-activate{
    & span:nth-child(1) {
        transform: rotate(45deg);
        transform-origin: 5% 20%;
    }

    & span:nth-child(2) {
        opacity: 0;
    }

    & span:nth-child(3) {
        transform: rotate(-45deg);
        transform-origin: 5% 50%;
    }
}

@media only screen and (min-width: 600px) {
    .navbar-navbar{
        position: fixed;
        top: 0;
        left: 0;
        display: flex;
        justify-content: space-between;

        width: 100vw;
        height: 75px;
        box-sizing: border-box;
    }

    .navbar-items-list{
        transform: inherit;
    }

    .navbar-items-list{
        height: 100%;
        width: auto;
        position: static;
        display: flex;
        align-items: center;
        margin-right: 80px;

        & ul{
            flex-direction: row;
            align-items: center;
            padding: 0;
        }
    }

    .navbar-iner{
        display: flex;
        position: static;
        width: auto;
        height: auto;
    }

    .navbar-mobile-button{
        display: none;
    }
}
 